/*****************************************************************************
 * cuckooo - OpenOffice.org nested in KDE                                    *
 *                                                                           *
 * Copyright (C) 2003 Jan Holesovsky <kendy@artax.karlin.mff.cuni.cz>        *
 *                                                                           *
 * This program is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 *****************************************************************************/

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "../common/about.h"
#include "shell.h"

using namespace KOOo;

static KCmdLineOptions options[] =
{
  { "+[URL]", I18N_NOOP( "Location to open" ), 0 },
  { 0,        0,                               0 }
};

int main(int argc, char **argv)
{
  // Set 'about' and init
  KAboutData *aboutData;
  CUCKOOO_ABOUT_DATA(aboutData);
  KCmdLineArgs::init(argc, argv, aboutData);
  KCmdLineArgs::addCmdLineOptions(options);

  // Create application
  KApplication app;
  KCmdLineArgs* args = KCmdLineArgs::parsedArgs();
  
  // Create main window
  Shell *shell = new Shell;
  if ((args->count() == 1) && (QString(args->arg(0)) != "-"))
    shell->openURL(args->url(0));
  shell->show();

  return app.exec();
}
